%define section free

Name:           mg4j
Version:        0.9
Release:        1jpp
Epoch:          0
Summary:        Managing Gigabytes for Java
License:        LGPL
Vendor:         JPackage Project
Distribution:   JPackage
Group:          Development/Libraries/Java
URL:            http://mg4j.dsi.unimi.it/
Source0:        http://mg4j.dsi.unimi.it/mg4j-0.9-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       fastutil >= 0:4.2, jal, colt >= 0:1.1.0, gnu.getopt
BuildRequires:  ant, jpackage-utils >= 0:1.5, /bin/bash, javacc
BuildRequires:	java-javadoc fastutil-javadoc colt-javadoc jal-javadoc

%description
MG4J (Managing Gigabytes for Java) is a collaborative effort aimed at
providing a free Java implementation of inverted-index compression techniques;
as a by-product, it offers several general-purpose optimised classes,
including fast & compact mutable strings, bit-level I/O, (possibly signed)
minimal perfect hashing, etc.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

%package        demo
Summary:        Examples for %{name}
Group:          Development/Java

%description    demo
Examples for %{name}.


%prep
%setup -q


%build
export CLASSPATH=%(build-classpath gnu.getopt fastutil colt jal libreadline-java)
ant \
  -Dj2se.apiurl=%{_javadocdir}/java \
  -Dfastutil.apiurl=%{_javadocdir}/fastutil \
  -Dcolt.apiurl=%{_javadocdir}/colt \
  -Djal.apiurl=%{_javadocdir}/jal \
  jar javadoc


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
install -dm 755 $RPM_BUILD_ROOT/usr/share/%{name}
cp -pr demo $RPM_BUILD_ROOT/usr/share/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc CHANGES COPYING.LIB
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
/usr/share/%{name}/*


%changelog
* Wed Sep 1 2004 Sebastiano Vigna <vigna@acm.org>Ville Skytt <ville.skytta at iki.fi> - 0:0.9-1jpp
- A wealth of new classes and features.
* Fri Oct 24 2003 Ville Skytt <ville.skytta at iki.fi> - 0:0.8.2-1jpp
- Update to JPackage guidelines.
* Tue Jun 10 2003 Sebastiano Vigna <vigna@acm.org> 0.8.2
- New multi-array byte input stream.
* Tue Jun 10 2003 Sebastiano Vigna <vigna@acm.org> 0.8.1
- In line with fastutil 3.0; relicensed to LGPL.
* Tue Jun 10 2003 Sebastiano Vigna <vigna@acm.org> 0.8
- Several optimisations, direct array wrapping, zeta codes, revamped minimal perfect hashing.
* Tue Feb  4 2003 Sebastiano Vigna <vigna@acm.org> 0.7
- Switched to new fastutil name. No more manual subpackage.
* Tue Feb  4 2003 Sebastiano Vigna <vigna@acm.org> 0.6
- First release with index construction
* Mon Dec 9 2002 Sebastiano Vigna <vigna@acm.org> 0.3
- JPackage compatible version
